# The MEME Suite

## Motif-based sequence analysis tools

## fasta-unique-names

### Usage:

`fasta-unique-names [-r <FASTA file>]`

### Description

Copy a FASTA sequence file changing any duplicate sequence names to insure there are no duplicates. This is done by appending "_i", where "i" is the copy number, to any names which are duplicates.

### Input

Sequences in FASTA format either from standard input or from a file using the -r option.

### Output

Writes FASTA format either to standard output or overwriting the file specified using the -r option.

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
-r | FASTA file | Specifiy a FASTA file to rewrite with the identifiers made unique. | The sequences are read from standard input and written to standard output.
-h |  | Print a help message and exit. | Runs as normal.